
export const logColumns = () => [
  {
    title: "序号",
    key: "id",
    align: "center",
    width: 80,
  },
  {
    title: "操作",
    key: "action",
    align: "center",
    width: 120,
  },
  {
    title: "时间",
    key: "operationTime",
    align: "center",
    width: 180,
  },
  {
    title: "操作人",
    key: "operatorName",
    align: "center",
    width: 120,
  },
  {
    title: "操作内容",
    key: "content",
    align: "center",
  },
];


export const rentColumns = () => [
  {
    title: "付款状态",
    align: "center",
    width: 120,
    render(h, { row }) {
      try {
        const { paymentStatus } = row;
        return h("span", {style: {color: paymentStatus == 2 ? 'green' : 'red' }}, paymentStatus == 2 ? '已付' : '未付');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "状态",
    align: "center",
    width: 120,
    render(h, { row }) {
      try {
        const { status } = row;
        return h("span", {style: {color: status == 1 ? 'green' : 'red' }}, status == 1 ? '正常' : '已中止');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "类型",
    key: "name",
    align: "center",
    width: 120,
  },
  {
    title: "日期",
    key: "planDate",
    align: "center",
    width: 120,
  },
  {
    title: "应收金额",
    key: "payableAmount",
    align: "center",
    width: 120,
  },
  {
    title: "已收金额",
    key: "paidAmount",
    align: "center",
    width: 120,
  },
  {
    title: "备注",
    key: "remark",
    align: "center",
  },
];


export const feeColumns = () => [
  {
    title: "付款状态",
    align: "center",
    width: 120,
    render(h, { row }) {
      try {
        const { paymentStatus } = row;
        return h("span", {style: {color: paymentStatus == 2 ? 'green' : 'red' }}, paymentStatus == 2 ? '已付' : '未付');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "状态",
    align: "center",
    width: 120,
    render(h, { row }) {
      try {
        const { status } = row;
        return h("span", {style: {color: status == 1 ? 'green' : 'red' }}, status == 1 ? '正常' : '已中止');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "类型",
    key: "name",
    align: "center",
    width: 120,
  },
  {
    title: "日期",
    key: "planDate",
    align: "center",
    width: 120,
  },
  {
    title: "应收金额",
    key: "payableAmount",
    align: "center",
    width: 120,
  },
  {
    title: "已收金额",
    key: "paidAmount",
    align: "center",
    width: 120,
  },
  {
    title: "备注",
    key: "remark",
    align: "center",
  },
];
