import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  props: {
    "data": {}, 
    "params": {},
    showContract: Function,
    showReturnDeposit: Function,
  },
  data() {
    return {
      terminateVisiable: false,
      terminateDeletePlanning: "保留",
    }
  },
  methods: {
    onClick(name) {
      if(name === "edit") {
        this.showContract(this.data, false);
      }
      if(name === "returnVehicle") {

      }
      if(name === "returnDeposit") {
        this.showReturnDeposit(this.data);
      }
      if(name === "terminate") {
        this.showConfirmTerminate();
      }
    },
    showConfirmTerminate() {
      this.terminateVisiable = true;
    },
    terminateContract() {
      const requestData = {
        contractId: this.data.id,
        deletePlanning: this.terminateDeletePlanning == "删除" ? 1 : 0,
      }
      dispatch("invoke/asyncTerminateContract", requestData).then(({ code }) => {
        this.submitLoading = false;
        if (code === 1) {
          this.$Message.success("中止合同成功");
        }
      });
    }
  },
  mounted() {
  }
};
