import Vue from 'vue';
import App from './App.vue';
import iView from 'view-design'
import 'view-design/dist/styles/iview.css'
import router from './router'
import "./index.less";
// import Viewer from "v-viewer";
// import "viewerjs/dist/viewer.css";

Vue.config.productionTip = false;
Vue.use(iView);

router.beforeEach((to, from, next) => {
  if (to.path == "/") {  // 判断该路由是否需要登录权限
      const tokenInfo = localStorage.getItem("tokenInfo");
      if (tokenInfo) {
          router.push("/main");
          return;
      }
      next();
  } else {
      next();
  }
})

new Vue({
  router,
  render: h => h(App)
}).$mount("#app")
